Security Enhanced Linux Reference Policy

# Layer: services

## Module: dirmngr

Interfaces Templates

### Description:

Server for managing and downloading certificate revocation lists.

### Interfaces:

dirmngr_admin( domain , role )

##### Summary

All of the rules required to administrate an dirmngr environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

dirmngr_domtrans( domain )

##### Summary

Execute dirmngr in the dirmngr domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

dirmngr_exec( domain )

##### Summary

Execute the dirmngr in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dirmngr_stream_connect( domain )

##### Summary

Connect to dirmngr socket

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dirmngr_tmp_dir_search( domain )

##### Summary

Search dirmngr_tmp_t dirs

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dirmngr_unlink_tmp_sock( domain )

##### Summary

unlink dirmngr_tmp_t sock_file

##### Parameters

Parameter: | Description:
--- | ---
domain | domain allowed access

Return

### Templates:

dirmngr_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for dirmngr.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | User domain for the role.
user_exec_domain | User exec domain for execute and transition access.
role | Role allowed access

Return